# Calculos Indices de Vegetación

Para la adecuación del Script se utiliza la [plantilla de de R para el Cluster CIBioFi](http://cibiofi.univalle.edu.co/git/lacco/plantillas-cluster/src/branch/master/docker/R/requirements)

Adecuación y contenerización del script en R para cálculos de vegetación para el uso del cluster.

Se modifican las dos primeras líneas, definiendo una manera de definir el directorio de trabajo como
argumentos para el script.

Como el script requirer de las librerías `rgdal` y `raster` las instalamos en el archivo [install.R](install.R)

```R
install.packages("rgdal")
install.packages("raster")
```

Como la librería `rgdal` tiene dependencias de sistema operativo, las instalamos en el [Dockerfile](Dockerfile)

```Dockerfile
RUN apt install -y libgdal-dev libproj-dev
```

Para compilar la imagen de docker en el cluster se usa el archivo [compile_docker_image.sh](compile_docker_image.sh), exactamente como en la plantilla.

Se modifica también el archivo [condor.submit](condor.submit) para definir la imagen de docker, cuales son los archivos que se deben transferir al contenedor, cuales son los argumentos que se le pasan al ejecutable `/usr/bin/Rscript` que en este caso será el nombre del script y la ruta de los datos .
